umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_selectoperationdialog.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/dialogs/selectoperationdialog.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_SelectOperationDialog_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_SelectOperationDialog_t | qt_meta_stringdata_SelectOperationDialog
static const uint | qt_meta_data_SelectOperationDialog []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_SelectOperationDialog_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_SelectOperationDialog_t
Definition: moc_selectoperationdialog.cpp:24

## Variable Documentation

## ◆ qt_meta_data_SelectOperationDialog

const uint qt_meta_data_SelectOperationDialog[]
| static

Initial value:
= {
8,
0,
0, 0,
4, 14,
0, 0,
0, 0,
0, 0,
0,
0,
1, 1, 34, 2, 0x0a ,
4, 0, 37, 2, 0x0a ,
5, 1, 38, 2, 0x0a ,
7, 1, 41, 2, 0x0a ,
QMetaType::Void, QMetaType::Bool, 3,
QMetaType::Void,
QMetaType::Void, QMetaType::Int, 6,
QMetaType::Void, QMetaType::QString, 8,
0
}

## ◆ qt_meta_stringdata_SelectOperationDialog

const qt_meta_stringdata_SelectOperationDialog_t qt_meta_stringdata_SelectOperationDialog
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 21),
QT_MOC_LITERAL(1, 22, 24),
QT_MOC_LITERAL(2, 47, 0),
QT_MOC_LITERAL(3, 48, 5),
QT_MOC_LITERAL(4, 54, 16),
QT_MOC_LITERAL(5, 71, 16),
QT_MOC_LITERAL(6, 88, 5),
QT_MOC_LITERAL(7, 94, 15),
QT_MOC_LITERAL(8, 110, 4)
},
"SelectOperationDialog\0slotAutoIncrementChecked\0"
"\0state\0slotNewOperation\0slotIndexChanged\0"
"index\0slotTextChanged\0text"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_selectoperationdialog.cpp:28